<?php
/*
  $Id: feeders.php,v 1.6 2003/06/30 13:13:49 dgw_ Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  /********************** BEGIN VERSION CHECKER *********************/
  if (file_exists('includes/functions/version_checker.php'))
  {
     require('includes/languages/' . $language . '/version_checker.php');
     require('includes/functions/version_checker.php');
     $contribPath = 'http://addons.oscommerce.com/info/4513';
     $currentVersion = 'GoogleBase V 3.5';
     $contribName = 'GoogleBase V';
     $versionStatus = '';
  }
  /********************** END VERSION CHECKER *********************/

  $checkingVersion = false;
  $action = (isset($_POST['action']) ? $HTTP_POST_VARS['action'] : '');

  if (tep_not_null($action))
  {
     /********************** CHECK THE VERSION ***********************/
     if ($action == 'getversion')
     {
         $checkingVersion = true;
         if (isset($_POST['version_check']) && $_POST['version_check'] == 'on')
             $versionStatus = AnnounceVersion($contribPath, $currentVersion, $contribName);
     }
  }

  require('includes/template_top.php');
?>

<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
       <tr>
        <td><table border="0" width="95%" cellspacing="0" cellpadding="0">
            <tr>
               <td class="pageHeading" valign="top" style="white-space:nowrap;"><?php echo $currentVersion; ?></td>
            </tr>
            <tr>
               <td class="smallText" valign="top"><?php echo HEADING_TITLE_SUPPORT_THREAD; ?></td>
            </tr>
        </table></td>
        <td><table border="0" width="100%">
         <tr>
          <td class="smallText" align="right"><?php echo HEADING_TITLE_AUTHOR; ?></td>
         </tr>
         <?php
         if (function_exists('AnnounceVersion')) {
            if (false) { //requires database change so skip
         ?>
               <tr>
                  <td class="smallText" align="right" style="font-weight: bold; color: red;"><?php echo AnnounceVersion($contribPath, $currentVersion, $contribName); ?></td>
               </tr>
         <?php } else if (tep_not_null($versionStatus)) {
           echo '<tr><td class="smallText" align="right" style="font-weight: bold; color: red;">' . $versionStatus . '</td></tr>';
         } else {
           echo tep_draw_form('version_check', 'feeders.php', '', 'post') . tep_draw_hidden_field('action', 'getversion');
         ?>
               <tr>
                  <td class="smallText" align="right" style="font-weight: bold; color: red;"><INPUT TYPE="radio" NAME="version_check" onClick="this.form.submit();"><?php echo TEXT_VERSION_CHECK_UPDATES; ?></td>
               </tr>
           </form>
         <?php } } else { ?>
            <tr>
               <td class="smallText" align="right" style="font-weight: bold; color: red;"><?php echo TEXT_MISSING_VERSION_CHECKER; ?></td>
            </tr>
         <?php } ?>
        </table></td>
       </tr>

       <tr><td height="20"></td></tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('bingfeeder.php?noftp=1') . '" target=_blank">' . TEXT_FEEDERS_BING_NOFTP . '</a>'; ?></td>
       </tr>
       <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
       </tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('bingfeeder.php') . '" target=_blank">' . TEXT_FEEDERS_BING . '</a>'; ?></td>
       </tr>

       <tr><td height="10"></td></tr>
       <tr><td><?php echo tep_black_line(); ?></td></tr>
       <tr><td height="10"></td></tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('googlefeeder.php?noftp=1') . '" target=_blank">' . TEXT_FEEDERS_GOOGLE_NOFTP . '</a>'; ?></td>
       </tr>
       <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
       </tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('googlefeeder.php') . '" target=_blank">' . TEXT_FEEDERS_GOOGLE . '</a>'; ?></td>
       </tr>
       
       <tr><td height="10"></td></tr>
       <tr><td><?php echo tep_black_line(); ?></td></tr>
       <tr><td height="10"></td></tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('googlefeeder_localfeed.php?noftp=1') . '" target=_blank">' . TEXT_FEEDERS_GOOGLE_LOCALFEED_NO_FTP . '</a>'; ?></td>
       </tr>
       <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
       </tr>
       <tr>
        <td class="smallText"><?php echo '<a href="' . tep_href_link('googlefeeder_localfeed.php') . '" target=_blank">' . TEXT_FEEDERS_GOOGLE_LOCALFEED . '</a>'; ?></td>
       </tr>
     </table></td>
  </tr>
</table>

<?php
  require('includes/template_bottom.php');
  require('includes/application_bottom.php');
?>
